Public Member Functions

# geos::operation::predicate::SegmentIntersectionTester Class Reference

Tests if any line segments in two sets of CoordinateSequences intersect. Optimized for use when at least one input is of small size. More...

`#include <SegmentIntersectionTester.h>`

List of all members.

## Public Member Functions
bool | hasIntersectionWithLineStrings (const geom::CoordinateSequence &seq, const std::vector< const geom::LineString * > &lines)
bool | hasIntersection (const geom::CoordinateSequence &seq0, const geom::CoordinateSequence &seq1)

## Detailed Description

Tests if any line segments in two sets of CoordinateSequences intersect. Optimized for use when at least one input is of small size.

Short-circuited to return as soon an intersection is found.

The documentation for this class was generated from the following file:

- SegmentIntersectionTester.h